package ru.littlevictor.radio;

import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v7.app.ActionBarActivity;
import android.support.v7.widget.Toolbar;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

public class ActionBarFragment extends Fragment {
    public static final String LAYOUT_ORIENTATION = "layout";
    public static final int LAYOUT_PORTRAIT = 0;
    public static final int LAYOUT_LANDSCAPE = 1;
    public static final String TITLE = "title";
    public static final String SUBTITLE = "subtitle";
    private Toolbar actionBar;
    private ActionBarActivity activity;

    //-----------------------------------------------------------------------------
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        View view;
        int theme[] = ThemeChooser.getAppTheme(getActivity());
        int themeBaseColor = getResources().getColor(theme[0]);
        Bundle args = getArguments();
        switch (args.getInt(LAYOUT_ORIENTATION)) {
            case LAYOUT_PORTRAIT:
                if(theme[0] == R.color.color_theme_primary_1) {
                    view = inflater.inflate(R.layout.action_bar_fragment_portrait_dark, null);
                    actionBar = (Toolbar) view.findViewById(R.id.action_bar);
                    actionBar.setTitleTextAppearance(getActivity(), R.style.ActionBarTitlePortrait);
                    actionBar.setSubtitleTextAppearance(getActivity(), R.style.ActionBarSubtitlePortrait);
                    view.setBackgroundResource(R.drawable.background_action_bar_dark);
                } else {
                    view = inflater.inflate(R.layout.action_bar_fragment_portrait, null);
                    actionBar = (Toolbar) view.findViewById(R.id.action_bar);
                    actionBar.setTitleTextAppearance(getActivity(), R.style.ActionBarTitlePortrait);
                    actionBar.setSubtitleTextAppearance(getActivity(), R.style.ActionBarSubtitlePortrait);
                    view.setBackgroundColor(themeBaseColor);
                }
                break;
            case LAYOUT_LANDSCAPE:
                if(theme[0] == R.color.color_theme_primary_1) {
                    view = inflater.inflate(R.layout.action_bar_fragment_landscape_dark, null);
                    actionBar = (Toolbar) view.findViewById(R.id.action_bar);
                    actionBar.setTitleTextAppearance(getActivity(), R.style.ActionBarTitleLandscape);
                    actionBar.setSubtitleTextAppearance(getActivity(), R.style.ActionBarSubtitleLandscape);
                    view.setBackgroundResource(R.drawable.background_action_bar_dark);
                } else {
                    view = inflater.inflate(R.layout.action_bar_fragment_landscape, null);
                    actionBar = (Toolbar) view.findViewById(R.id.action_bar);
                    actionBar.setTitleTextAppearance(getActivity(), R.style.ActionBarTitleLandscape);
                    actionBar.setSubtitleTextAppearance(getActivity(), R.style.ActionBarSubtitleLandscape);
                    view.setBackgroundColor(themeBaseColor);
                }
                break;
            default:
                if(theme[0] == R.color.color_theme_primary_1) {
                    view = inflater.inflate(R.layout.action_bar_fragment_portrait_dark, null);
                    actionBar = (Toolbar) view.findViewById(R.id.action_bar);
                    actionBar.setTitleTextAppearance(getActivity(), R.style.ActionBarTitlePortrait);
                    actionBar.setSubtitleTextAppearance(getActivity(), R.style.ActionBarSubtitlePortrait);
                    view.setBackgroundResource(R.drawable.background_action_bar_dark);
                } else {
                    view = inflater.inflate(R.layout.action_bar_fragment_portrait, null);
                    actionBar = (Toolbar) view.findViewById(R.id.action_bar);
                    actionBar.setTitleTextAppearance(getActivity(), R.style.ActionBarTitlePortrait);
                    actionBar.setSubtitleTextAppearance(getActivity(), R.style.ActionBarSubtitlePortrait);
                    view.setBackgroundColor(themeBaseColor);
                }
                break;
        }
        String title = args.getString(TITLE);
        String subtitle = args.getString(SUBTITLE);
        if(title != null) { actionBar.setTitle(title); }
        if(subtitle != null) { actionBar.setSubtitle(subtitle); }
        if(activity != null) {
            activity.setSupportActionBar(actionBar);
        }
        return view;
    };

    // -----------------------------------------------------------------------------
    public void setParentActivity(ActionBarActivity activity) {
        this.activity = activity;
    };

    // -----------------------------------------------------------------------------
    public Toolbar getActionBar() {
        return actionBar;
    };
};
