package ru.littlevictor.radio;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.ArrayList;

import android.content.Context;

public class ListStack {
	
	public static void push(Context context, String str) {
		ArrayList<String> array = read(context);
		array.add(str);
		write(context, array);
	};
	
	// -----------------------------------------------------------------------------
	public static String pull(Context context) {
		ArrayList<String> array = read(context);
		String rezult = "";
		if(array.size() > 0) {
			rezult = array.get(array.size() - 1);
			array.remove(array.size() - 1);
			write(context, array);
		}
		return rezult;
	};
	
	// -----------------------------------------------------------------------------
	public static void clear(Context context) {
		ArrayList<String> array = new ArrayList<String>();
		write(context, array);
	};
	
	// -----------------------------------------------------------------------------
	private static void write(Context context, ArrayList<String> array) {
		try {
			ObjectOutputStream outputStream = new ObjectOutputStream(new FileOutputStream(Storage.getPath(context, Storage.LIST_STACK)));
			outputStream.writeObject(array);
			outputStream.flush();
			outputStream.close();
		} catch (IOException e) {
			
		}
	};

	// -----------------------------------------------------------------------------
	@SuppressWarnings("unchecked")
	private static ArrayList<String> read(Context context) {
		ArrayList<String> array = new ArrayList<String>();
		try {
			ObjectInputStream inputStream = new ObjectInputStream(new FileInputStream(Storage.getPath(context, Storage.LIST_STACK)));
			array = (ArrayList<String>) inputStream.readObject();
			inputStream.close();
		} catch (IOException e) {
			
		} catch (ClassNotFoundException e) {

		}
		return array;
	};

};
