package ru.littlevictor.radio;

import android.content.Context;
import android.preference.PreferenceManager;

public class ThemeChooser {

	// -----------------------------------------------------------------------------
	public static int[] getAppTheme(Context context) {
		
		int theme;
        int colorPrimaryId = R.color.color_theme_primary_0;
        int colorSecondaryId = R.color.color_theme_secondary_0;
		int roundedBgId = R.drawable.background_rounded_color_0;
        int themeId = R.style.AppTheme0;
        int dialogActionModeStyleId = R.style.AlertDialogTheme0;

		try {
			theme = Integer.parseInt(PreferenceManager.getDefaultSharedPreferences(context).getString("app_theme", "0"));
		} catch(NumberFormatException nfe) {
			theme = 0;
		}
		
		switch (theme) {
		case 1:
            themeId = R.style.AppTheme1;
            dialogActionModeStyleId = R.style.AlertDialogTheme1;
			colorPrimaryId = R.color.color_theme_primary_1;
            colorSecondaryId = R.color.color_theme_secondary_1;
			roundedBgId = R.drawable.background_rounded_color_1;
			break;
		case 2:
            themeId = R.style.AppTheme2;
            dialogActionModeStyleId = R.style.AlertDialogTheme2;
			colorPrimaryId = R.color.color_theme_primary_2;
            colorSecondaryId = R.color.color_theme_secondary_2;
			roundedBgId = R.drawable.background_rounded_color_2;
			break;
		case 3:
            themeId = R.style.AppTheme3;
            dialogActionModeStyleId = R.style.AlertDialogTheme3;
			colorPrimaryId = R.color.color_theme_primary_3;
            colorSecondaryId = R.color.color_theme_secondary_3;
			roundedBgId = R.drawable.background_rounded_color_3;
			break;
		case 4:
            themeId = R.style.AppTheme4;
            dialogActionModeStyleId = R.style.AlertDialogTheme4;
			colorPrimaryId = R.color.color_theme_primary_4;
            colorSecondaryId = R.color.color_theme_secondary_4;
			roundedBgId = R.drawable.background_rounded_color_4;
			break;
		}
		
		return new int[] {colorPrimaryId, colorSecondaryId, themeId, roundedBgId, dialogActionModeStyleId};
	};
	
	// -----------------------------------------------------------------------------
	public static int[] getNotifyTheme(Context context) {
		
		int theme;
		int backgroundId = R.drawable.background_rounded_light;
		int layoutId = R.layout.notification_light_theme;
		int layoutBigId = R.layout.notification_light_theme_big;
		
		try {
			theme = Integer.parseInt(PreferenceManager.getDefaultSharedPreferences(context).getString("notify_theme", "0"));
		} catch(NumberFormatException nfe) {
			theme = 0;
		}
		
		switch (theme) {
            case 1:
                backgroundId = R.drawable.background_rounded_color_1;
                layoutId = R.layout.notification_app_theme;
                layoutBigId = R.layout.notification_app_theme_big;
                break;
            case 2:
                backgroundId = getAppTheme(context)[3];
                layoutId = R.layout.notification_app_theme;
                layoutBigId = R.layout.notification_app_theme_big;
                break;
            case 3:
                backgroundId = -1;
                layoutId = R.layout.notification_light_theme;
                layoutBigId = R.layout.notification_light_theme_big;
                break;
            case 4:
                backgroundId = -1;
                layoutId = R.layout.notification_app_theme;
                layoutBigId = R.layout.notification_app_theme_big;
                break;
		}
		
		return new int[] {backgroundId, layoutId, layoutBigId};
	};
};
